> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# Update

PATCH https://restapi.ordergroove.com/products/{external_product_id}/
Content-Type: application/json

Updates an existing product.

Reference: https://docs.ordergroove.com/reference/rest-rpc-api/products/free-trials-update

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: ordergroove-restrpc
  version: 1.0.0
paths:
  /products/{external_product_id}/:
    patch:
      operationId: update
      summary: Update
      description: Updates an existing product.
      tags:
        - products
      parameters:
        - name: external_product_id
          in: path
          required: true
          schema:
            type: string
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Products_update_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Products-updateRequestBadRequestError'
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Products-updateRequestForbiddenError'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                autoship_enabled:
                  type: boolean
                  default: false
                  description: Product autoship eligibility
                prepaid_eligible:
                  type: boolean
                  default: false
                  description: Product prepaid eligibility
                autoship_by_default:
                  type: boolean
                  default: false
                upsell_eligible:
                  type: boolean
                  default: false
                  description: Product upsell eligibility
                price:
                  type: number
                  format: double
                  description: 'Product price, must be in decimal. Ex: 15.00'
                type:
                  type: string
                  default: standard
                  description: Product type
servers:
  - url: https://restapi.ordergroove.com
    description: https://restapi.ordergroove.com
components:
  schemas:
    Products_update_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Products_update_Response_200
    Products-updateRequestBadRequestError:
      type: object
      properties:
        '[field_name]':
          type: string
      title: Products-updateRequestBadRequestError
    Products-updateRequestForbiddenError:
      type: object
      properties:
        detail:
          type: string
      title: Products-updateRequestForbiddenError
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

```

## Examples



**Request**

```json
{}
```

**Response**

```json
"{\n  \"merchant\": \"ac4f7938383a11e89ecbbc764e1107f2\",\n  \"merchant_user_id\": \"12345\",\n  \"session_id\": \"5bda04dc429d11e4bd78bc764e106cf4.463053.1418160308\",\n  \"user_token_id\": \"bda1c6b0084811e6965ebc764e106cf4\",\n  \"first_name\": \"Michal\",\n  \"last_name\": \"Swiader\",\n  \"email\": \"michal@swiader.com\",\n  \"phone_number\": \"+15551231234\",\n  \"phone_type\": \"0\",\n  \"live\": \"True\",\n  \"created\": \"2020-02-29 12:00:00\",\n  \"last_updated\": \"2020-02-29 12:00:00\",\n  \"last_login\": \"2020-02-29 12:00:00\",\n  \"extra_data\": \"{\\\"some\\\": \\\"extra\\\", \\\"fields\\\": \\\"here\\\"}\",\n  \"locale\": 42\n\t\"experiences\": \"{\\\"reorder\\\": true, \\\"subscription-management\\\": false}\"\n}\n"
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/products/external_product_id/"

payload = {}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/products/external_product_id/';
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/products/external_product_id/"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/products/external_product_id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://restapi.ordergroove.com/products/external_product_id/")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://restapi.ordergroove.com/products/external_product_id/', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/products/external_product_id/");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/products/external_product_id/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```